Package org.bukkit.conversations

# Interface Conversable

All Known Subinterfaces:
  `ConsoleCommandSender`, `Player`

public interface Conversable
The Conversable interface is used to indicate objects that can have conversations.

## Method Summary

Modifier and Type
Method
Description
`void`
`abandonConversation(@NotNull Conversation conversation)`
Abandons an active conversation.
`void`
`abandonConversation(@NotNull Conversation conversation, @NotNull ConversationAbandonedEvent details)`
Abandons an active conversation.
`void`
`acceptConversationInput(@NotNull String input)`
Accepts input into the active conversation.
`boolean`
`beginConversation(@NotNull Conversation conversation)`
Enters into a dialog with a Conversation object.
`boolean`
`isConversing()`
Tests to see of a Conversable object is actively engaged in a conversation.
`void`
`sendRawMessage(@NotNull String message)`
Sends this sender a message raw
`void`
`sendRawMessage(@Nullable UUID sender, @NotNull String message)`
Sends this sender a message raw

## Method Details

### isConversing

boolean isConversing()
Tests to see of a Conversable object is actively engaged in a conversation.

Returns:
  True if a conversation is in progress

### acceptConversationInput

void acceptConversationInput(@NotNull @NotNull String input)
Accepts input into the active conversation. If no conversation is in progress, this method does nothing.

Parameters:
  `input` - The input message into the conversation

### beginConversation

boolean beginConversation(@NotNull @NotNull Conversation conversation)
Enters into a dialog with a Conversation object.

Parameters:
  `conversation` - The conversation to begin
Returns:
  True if the conversation should proceed, false if it has been enqueued

### abandonConversation

void abandonConversation(@NotNull @NotNull Conversation conversation)
Abandons an active conversation.

Parameters:
  `conversation` - The conversation to abandon

### abandonConversation

void abandonConversation(@NotNull @NotNull Conversation conversation, @NotNull @NotNull ConversationAbandonedEvent details)
Abandons an active conversation.

Parameters:
  `conversation` - The conversation to abandon
  `details` - Details about why the conversation was abandoned

### sendRawMessage

void sendRawMessage(@NotNull @NotNull String message)
Sends this sender a message raw

Parameters:
  `message` - Message to be displayed

### sendRawMessage

void sendRawMessage(@Nullable @Nullable UUID sender, @NotNull @NotNull String message)
Sends this sender a message raw

Parameters:
  `message` - Message to be displayed
  `sender` - The sender of this message